<ul class="list-group">
	<li class="list-group-item">
		<button type="button" class="btn btn-primary btn-sm" data-toggle="collapse" data-target="#ubicaciones">
			Ver Ubicaciones
		</button>
		<ul class="nav nav-pills alt-pills float-right mini-labels">
			<form method="get">
				<li class="nav-item float-left mr-3">
					<label>Tipo</label>
					<select name ="corregido" class="form-control select-corregido" onchange="this.form.submit()">
						<?php
							foreach($tipo_corregido as $k => $v) {
								$selected = '';
								if (!empty($corregido)) {
									if ($corregido == $k) {
										$selected =' selected="selected"';
									}
								}
								echo '<option value="' . $k . '"' . $selected . '>' . $v . '</option>';
							}
						?>
					</select>
				</li>
			</form>
		</ul>
	</li>
	<?php
	if(!empty($inventarios)) {
		?>
		<li class="list-group-item">
			<h4>Errores en Inventario <?php echo $tipo_corregido[$corregido] . ' ('.count($inventarios).')'; ?></h4>
			<div class="table-responsive">
				<table class="table table-striped lista-almacenes-productos">
					<thead>
						<tr>
							<th class="text-center">Id</th>
							<th>Producto</th>
							<th>Almacen</th>
							<th class="text-center">Stock Sistema</th>
							<th class="text-center">Stock Encontrado</th>
							<?php if (empty($corregido)) {
								?>
									<th>Fecha Revisión</th>
									<th>Revisor</th>
								<?php
							}
							else {
								?>
								<th>Fecha Corrección</th>
								<th>Corrector</th>
								<?php
							}
							?>
							<th class="text-center">Acciones</th>
						</tr>
					</thead>
					<tbody>
						<?php
						foreach($inventarios as $inv) {
							?>
							<tr class="inventario-<?php echo $inv['id']; ?>">
								<td class="text-center">
									<?php echo $inv['id']; ?>
								</td>
								<td>
									<?php
									if (!empty($ps_imagenes[$inv['ps_id']])) {
										echo ps_image($ps_imagenes[$inv['ps_id']]);
									} 
									?>
									<a target="_blank" href="/productos/detalle/<?php echo $inv['id_producto']; ?>">
										<span class="nombre"><?php echo $inv['nombre']; ?></span>
									</a>
								</td>

								<td><span class="tt" title="Almacén"><?php echo $almacenes[$inv['id_almacen']]; ?></span></td>

								<td class="text-center stock-sistema"><span class=" tt" title="Stock Sistema"><?php echo $inv['stock_sistema']; ?></span></td>

								<td class="text-center stock-encontrado"><span class="tt" title="Stock encontrado"><?php echo $inv['stock_encontrado']; ?></span></td>
								
								<?php if (empty($corregido)) {
								?>
									<td class="fecha-revision"><span class="tt" title="Fecha Revisión"><?php echo fechaHora($inv['created']); ?></span></td>
									<td><span class="tt" title="Revisor"><?php echo $usuarios[$inv['id_revisor']]; ?></span></td>
								<?php
								}
								else {
								?>
									<td class="fecha-correccion"><span class="tt" title="Fecha Corrección"><?php echo fechaHora($inv['fecha_correccion']); ?></span></td>
									<td><span class="tt" title="Corrector"><?php echo $usuarios[$inv['id_corrector']]; ?></span></td>
								<?php

								}
								?>

								<td class="text-center">
									<?php
									if (empty($corregido)) {
										?>
										<button type="button" class="btn btn-primary btn-xs d-lg-inline tt" data-toggle="modal" data-target="#modalInventario" data-id="<?php echo $inv['id']; ?>" title="Corregir Error">
											<i class="fas fa-pencil-alt"></i>
										</button>
									<?php
									}
									else {
										?>
										<button type="button" class="btn btn-primary btn-xs d-lg-inline tt" data-toggle="modal" data-target="#modalInventario" data-id="<?php echo $inv['id']; ?>" title="Ver Corrección">
											<i class="fas fa-eye"></i>
										</button>
									<?php
									}
									?>
								</td>
							</tr>
						<?php
						}
						?>
					</tbody>
				</table>
			</div>
		</li>
		<?php
	}
	else {
		?>
		<li class="list-group-item">
			<?php 
				echo 'No se encontraron errores';
			?>
		</li>
		<?php
	}
	?>
</ul>

<div class="modal fade" id="modalInventario" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="editInventarioLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-wait">
				<div class="modal-header">
					<h5 class="modal-title" id="editInventarioLabel">Corregir Error de Inventario</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<form id="formInventario" action="/almacenes/inventario_save" method="post">
						<input type="hidden" name="id" id="idInventario" value="0" />

						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Producto</label>
							<div class="col-sm-8 col-form-label"><strong class="nombre-producto"></strong>
							</div>
						</div>

						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Almacen</label>
							<div class="col-sm-8 col-form-label"><strong class=" nombre-almacen"></strong>
							</div>
						</div>
						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Stock En Sistema</label>
							<div class="col-sm-8 col-form-label"><strong class=" stock-sistema"></strong>
							</div>
						</div>
						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Stock Encontrado</label>
							<div class="col-sm-8 col-form-label"><strong class=" stock-encontrado"></strong>
							</div>
						</div>

						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Revisor</label>
							<div class="col-sm-8 col-form-label"><strong class="revisor"></strong>
							</div>
						</div>
						<div class="form-group row">
							<label class="col-sm-4 col-form-label">Fecha Revisión</label>
							<div class="col-sm-8 col-form-label"><strong class="fecha-revision"></strong>
							</div>
						</div>

						<div class="form-group row fg-corrector">
							<label class="col-sm-4 col-form-label">Corrector</label>
							<div class="col-sm-8 col-form-label"><strong class="corrector"></strong>
							</div>
						</div>
						<div class="form-group row fg-fecha-correccion">
							<label class="col-sm-4 col-form-label">Fecha Corrección</label>
							<div class="col-sm-8 col-form-label"><strong class="fecha-correccion"></strong>
							</div>
						</div>

						<div class="form-group row">
							<div>
								<label for="accion-correccion" class="col-sm-12 col-form-label">Corrección</label>
							</div>
							<div class="col-sm-12">
								<textarea class="form-control text-accion-correccion" name="accion_correccion" rows="3"></textarea>
							</div>
						</div>

						<div class="form-group row d-none">
							<div class="col-sm-12 text-right">
							<button type="submit" class="btn btn-primary btn-crear">Corregir</button>
							</div>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary btn-close" data-dismiss="modal">Cerrar</button>
					<button type="button" class="btn btn-primary btn-editar" id="editarInventario">Corregir</button>
				</div>
			</div>
		</div>
	</div>
</div>

<?php //$this->load->view('almacenes/modal_validar_stock'); ?>

<?php //$this->load->view('productos/modal'); ?>

<script>
<?php
	//variables en js para cargar selects
	echo 'var usuarios = ' . json_encode($usuarios) . ';
';
?>

$(document).ready(function() {

	// carga Datos Inventario
	$('#modalInventario').on('show.bs.modal', function (event) {
		$('.modal-wait').hide();
		var button = $(event.relatedTarget)
		var modal = $(this);

		let corregido = $('.select-corregido').val();

		modal.find('#idInventario').val('');
		modal.find('.nombre-producto').html('');
		modal.find('.nombre-almacen').html('');
		modal.find('.stock-sistema').html('');
		modal.find('.stock-encontrado').html('');
		modal.find('.text-accion-correccion').val('').removeAttr('disabled');
		modal.find('.fg-corrector').hide();
		modal.find('.fg-fecha-correccion').hide();

		if (corregido == 1) {
			modal.find('.text-accion-correccion').attr('disabled', 'disabled');
			modal.find('.fg-corrector').show();
			modal.find('.fg-fecha-correccion').show();
		}

		var parametros = {
			id : button.data('id')
		};

		$.ajax({
			data:  parametros,
			url:   '/almacenes/get_inventario',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				inventario = JSON.parse(response);
				modal.find('#idInventario').val(inventario.id);
				modal.find('.nombre-producto').html(inventario.nombre_producto);
				modal.find('.nombre-almacen').html(inventario.nombre_almacen);
				modal.find('.stock-sistema').html(inventario.stock_sistema);
				modal.find('.stock-encontrado').html(inventario.stock_encontrado);
				modal.find('.revisor').html(usuarios[inventario.id_revisor]);
				modal.find('.fecha-revision').html(fecha(inventario.fecha_revision));
				modal.find('.text-accion-correccion').val(inventario.accion_correccion);
				if (corregido == 1) {
					modal.find('.corrector').html(usuarios[inventario.id_corrector]);
					modal.find('.fecha-correccion').html(fecha(inventario.fecha_correccion));
				}
				$('.modal-wait').show();
			}
		});
	});
	/*
	$('#modalUbicacion #formUbicacion').submit(function( event ) {
		event.preventDefault();
		$('#modalUbicacion .btn-editar').click();
	});

	*/
	$('#modalInventario .btn-editar' ).click(function() {
		var parametros = $('#formInventario').serialize();
		if ($('.text-accion-correccion').val() == '') {
			return;
		}
		else {
			$.ajax({
				data:  parametros,
				url:   '/almacenes/save_inventario',
				type:  'post',
				beforeSend: function () {
				},
				success:  function (response) {
					/*
					var inventario = JSON.parse(response);
					var id = $('#idInventario').val();

					if (id == 0) {
						//location.reload();
					}
					else {
						var inventario = $('#inventario' + id);
						inventario.find('.nombre').html($('.input-nombre').val());
					}*/
					$('#modalInventario').modal('hide');
				}
			});
		}
	});

	/*
	$('#modalUbicacion .btn-eliminar').click(function() {
		if (confirm('Eliminar')) {
			var id = $('#idProveedor').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/proveedores/delete',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#proveedor' + id).remove();
					$('#modalUbicacion').modal('hide');
				}
			});
		}
	});
	*/
});
</script>